/* 
   PkgsSel-show 
   Copyright (C) 1999 Jarek Woloszyn (yossa@pld.org.pl)
   $Id: pkgssel-show.h,v 1.1 2001/02/05 15:51:06 malekith Exp $
   
   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with this library; if not, write to the
   Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
 */

#ifndef _PKGSEL_SHOW_H_
#define _PKGSEL_SHOW_H_


#include <newt.h>
#include <newt-addon.h>

#include "pkgssel-data.h"
#include "regexp-search.h"

#define SIZE_B 0
#define SIZE_KB 1
#define SIZE_MB 2
#define SIZE_NONE 3

void pkgsSetLabel(newtComponent co, char *text, long val, int size_type);
void pkgsSet4Labels(newtComponent * co, long val_num,
		    long val_size, long val_sel, long val_selsize,
		    int size_type);
void pkgsCountDir(tn_array * actDir, newtComponent * co, int size_type);
void pkgsCountAllDirs(newtComponent * co, int size_type);
char *pkgsMkEmptyString(char c, int length);
char *pkgsChangeDir(char *subdir_name,
		    char *nameptr, int where);

#endif				/* _PKGSEL_SHOW_H_ */
