/*
 * pi - P user Interface
 * 
 * $Id: widgets.h,v 1.1 2001/02/05 15:51:08 malekith Exp $
 * Author: Michal Moskal <malekith@pld.org.pl>
 * include COPYING-GNU
 */

#ifndef _PI_WIDGETS_H
#define _PI_WIDGETS_H

/* window.c */
void pi_window_draw(struct pi_object *ctx);
void pi_window_cc(struct pi_object *ctx, int cc);
struct pi_object *pi_new_window(struct pi_object *ctx, struct pi_object *super);

/* button.c */
void pi_button_draw(struct pi_object *ctx);
int pi_button_key(struct pi_object *ctx, int key);
struct pi_object *pi_new_button(struct pi_object *ctx, struct pi_object *super);

/* label.c */
void pi_label_draw(struct pi_object *ctx);
struct pi_object *pi_new_label(struct pi_object *ctx, struct pi_object *super);

/* progressbar.c */
int pi_progressbar_need_update(struct pi_object *ctx);
void pi_progressbar_draw(struct pi_object *ctx);
struct pi_object *pi_new_progressbar(struct pi_object *ctx, struct pi_object *super);

/* root.c */
void pi_root_draw(struct pi_object *ctx);
struct pi_object *pi_new_root(struct pi_object *ctx, struct pi_object *super);

/* scrollable.c */
void pi_scrollable_draw_line(struct pi_object *ctx, int line_no, int w, int hl);
void pi_scrollable_draw(struct pi_object *ctx);
int pi_scrollable_key(struct pi_object *ctx, int key);
struct pi_object *pi_new_scrollable(struct pi_object *ctx, struct pi_object *super);

/* msgbox.c */
int pi_msgbox(struct pi_object *ctx);

#endif /* _PI_WIDGETS_H */
