SELECT	package.name, report.evr,
	report_count.count as ilosc_ocen_pakietu, mark,
	count(opinion.id), feature.name
FROM package, pkg_evr_dist, report, opinion, feature, report_count 
WHERE
	pkg_evr_dist.package_id=package.id AND 
	pkg_evr_dist.dist_id = 5 AND
	report.id_package = package.id AND 
	pkg_evr_dist.evr = report.evr AND 
	pkg_evr_dist.evr = report_count.evr AND
	opinion.id_report = report.id AND 
	id_feature=feature.id AND 
	report_count.id_package = package.id 
GROUP BY 
	package.name, report.evr, opinion.mark, report_count.count, feature.name
ORDER BY report_count.count DESC , package.name, feature.name, mark;
					
